<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/ini.php");
include_once("inclydings/check2.php");
include_once("inclydings/zag.php");
include_once("inclydings/sesi.php");
if (isset($user)) {

switch($go) {

default:

echo"Голоса за сервер.<br/>";
echo"<a href=\"oprosvip.php?$sd&go=faq\">FAQ по голосам</a><br/>";
echo"<a href=\"oprosvip.php?$sd&go=yes\">Проголосавать!</a><br/>";
$q = mysql_query("SELECT COUNT(`kol`) FROM `table_opros`;");
$kol = mysql_result($q, 0);
echo"Голосов: $kol";
break;
case 'yes':
if(@file("L2dbnam/esql2db/opros/$log.dat")){echo"Вы уже голосовали за сервер!<br>Голосовать за сервер можно каждые 24 часа, c 22:00 по игровому времини!"; include_once"inclydings/down.php"; exit; }
if($udata[9]<"20"){echo"Голосовать за сервер можно с 20 уровня<br/>"; include_once("inclydings/down.php"); exit;}
$text = @file("L2dbnam/esql2db/opros.dat");
$data = explode(":||:",$text[0]);
$data[0]=round($data[0]+1);
$text="$data[0]:||:";

$fp=fopen("L2dbnam/esql2db/opros.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$text="yes:||:";

$fp=fopen("L2dbnam/esql2db/opros/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/opros/$log.dat", 0666);


$query = "INSERT INTO table_opros VALUES('$log','1')";
$result = mysql_query($query);
if($result) {echo "Вы успешно проголосовали";} else {echo "Ошибка голосования";}
$text="yes:||:";

$fp=fopen("L2dbnam/esql2db/opros/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/opros/$log.dat", 0666);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[95]=round($udata[95]+1000);
$udata[8]=round($udata[8]+3000000);
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
break;
case 'faq':
echo"
1)Голосовать могут персонажи которые достигли 20 уровня.<br/>
2)Голосовать персонаж может каждые 24 часа. С 22:00 по игровому времини<br/>
3)Персонажу который проголосовал за сервер будет начислено 1000 (Голд).3,000,000 (Аден)<br/>
4)Администрация сервера Lineage2 будет очень благодарна если Вы проголосуете за сервер.<br/>";
break;
}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>
